
<?php
include_once "../config/database.php";

$database = new Database();
$db = $database->getConnection();

$query = "CREATE TABLE IF NOT EXISTS users (
            id INT AUTO_INCREMENT PRIMARY KEY, 
            email VARCHAR(255) UNIQUE, 
            password TEXT, 
            role VARCHAR(50) DEFAULT 'user'
          );
          CREATE TABLE IF NOT EXISTS videos (
            id INT AUTO_INCREMENT PRIMARY KEY, 
            user_id INT, 
            title VARCHAR(255), 
            description TEXT, 
            url TEXT, 
            created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP
          );
          CREATE TABLE IF NOT EXISTS comments (
            id INT AUTO_INCREMENT PRIMARY KEY, 
            video_id INT, 
            user_id INT, 
            comment_text TEXT, 
            created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP
          );";

$stmt = $db->prepare($query);
if ($stmt->execute()) {
    echo json_encode(["message" => "Installation completed successfully!"]);
} else {
    echo json_encode(["error" => "Installation failed!"]);
}
?>
